classification
Title: Improve the documentation in fcntl module
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.3, Python 3.4, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, ezio.melotti, python-dev, r.david.murray, vajrasky
Priority: normal Keywords: patch

Created on 2013-09-09 10:35 by vajrasky, last changed 2013-11-07 15:54 by r.david.murray. This issue is now closed.

Files
File name Uploaded Description Edit
fix_documentation_on_fcntl_module.patch vajrasky, 2013-09-09 10:35 review
fix_documentation_on_fcntl_module_v2.patch vajrasky, 2013-09-16 13:51 review
fcntl-doc.patch r.david.murray, 2013-10-31 21:36 review
Messages (7)
msg197358 - (view) Author: Vajrasky Kok (vajrasky) * Date: 2013-09-09 10:35
The attached patch fixed typos and improved the documentation to improve the clarity in Modules/fcntlmodule.c.

Please see the attached patch and feel free to disagree with the improvement.
msg197898 - (view) Author: Vajrasky Kok (vajrasky) * Date: 2013-09-16 13:51
Updated patch based on Ezio's review. I reverted back the changes to Nul and module documentation (since it is not so clear whether we should categorize flock as Unix routine or not).
msg201851 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2013-10-31 21:36
Here's my suggestion.
msg202038 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2013-11-03 17:08
Vajrasky: what do you think of my version?  Is it clear enough?

I wonder if we want to document the constants someday.
msg202090 - (view) Author: Vajrasky Kok (vajrasky) * Date: 2013-11-04 06:08
Except for the typo noticed by Victor, your patch looks good.
msg202351 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2013-11-07 15:53
New changeset 0e0dded5d616 by R David Murray in branch '3.3':
#18985: Improve fcntl documentation.
http://hg.python.org/cpython/rev/0e0dded5d616

New changeset ddf6da99b3cd by R David Murray in branch 'default':
Merge #18985: Improve fcntl documentation.
http://hg.python.org/cpython/rev/ddf6da99b3cd

New changeset 645aa4f44aa4 by R David Murray in branch '2.7':
backport #18985: Improve fcntl documentation.
http://hg.python.org/cpython/rev/645aa4f44aa4
msg202353 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2013-11-07 15:54
Thanks, Vajrasky (and Victor :)
History
Date User Action Args
2013-11-07 15:54:47r.david.murraysetstatus: open -> closed
resolution: fixed
messages: + msg202353

stage: patch review -> resolved
2013-11-07 15:53:52python-devsetnosy: + python-dev
messages: + msg202351
2013-11-04 06:08:50vajraskysetmessages: + msg202090
2013-11-03 17:08:39r.david.murraysetstage: patch review
messages: + msg202038
versions: + Python 2.7, Python 3.3
2013-10-31 21:36:01r.david.murraysetfiles: + fcntl-doc.patch

messages: + msg201851
2013-10-19 04:41:49ezio.melottisetnosy: + r.david.murray
2013-09-16 13:51:08vajraskysetfiles: + fix_documentation_on_fcntl_module_v2.patch

messages: + msg197898
2013-09-13 21:10:24ezio.melottisetnosy: + ezio.melotti
2013-09-09 10:35:19vajraskycreate